nbd_stats_bytes_sent(3)

NAME
nbd_stats_bytes_sent - statistics of bytes sent over connection so far

SYNOPSIS
 #include <libnbd.h>

 uint64_t nbd_stats_bytes_sent (
            struct nbd_handle *h
          );

DESCRIPTION
Return the number of bytes that the client has sent to the server.

This tracks the plaintext bytes utilized by the NBD protocol; it may differ from the number of bytes actually sent over the connection, particularly when TLS is in use.

RETURN VALUE
This call returns a counter.

ERRORS
This function does not fail.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.16.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_STATS_BYTES_SENT 1

SEE ALSO
nbd_create(3), nbd_stats_bytes_received(3), nbd_stats_chunks_received(3), nbd_stats_chunks_sent(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA